Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.network
Enum QHttp.Error

    java.lang.Object
      java.lang.Enum<QHttp.Error>
          com.trolltech.qt.network.QHttp.Error

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QHttp.Error>

Enclosing class:
  QHttp

    public static enum QHttp.Error

extends java.lang.Enum<QHttp.Error>
implements QtEnumerator

This enum identifies the error that occurred.

See Also:
  `error`

Enum Constant Summary
`Aborted` The request was aborted with `abort`.
`AuthenticationRequiredError` The web server requires authentication to complete the request.
`ConnectionRefused` The server refused the connection.
`HostNotFound` The host name lookup failed.
`InvalidResponseHeader` The server sent an invalid response header.
`NoError` No error occurred.
`ProxyAuthenticationRequiredError` `QHttp` is using a proxy, and the proxy server requires authentication to establish a connection.
`UnexpectedClose` The server closed the connection unexpectedly.
`UnknownError` An error other than those specified above occurred.
`WrongContentLength` The client could not read the content correctly because an error with respect to the content length occurred.

Method Summary
`static QHttp.Error` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QHttp.Error` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QHttp.Error[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NoError

    public static final QHttp.Error NoError

  No error occurred.

### UnknownError

    public static final QHttp.Error UnknownError

  An error other than those specified above occurred.

### HostNotFound

    public static final QHttp.Error HostNotFound

  The host name lookup failed.

### ConnectionRefused

    public static final QHttp.Error ConnectionRefused

  The server refused the connection.

### UnexpectedClose

    public static final QHttp.Error UnexpectedClose

  The server closed the connection unexpectedly.

### InvalidResponseHeader

    public static final QHttp.Error InvalidResponseHeader

  The server sent an invalid response header.

### WrongContentLength

    public static final QHttp.Error WrongContentLength

  The client could not read the content correctly because an error with respect to the content length occurred.

### Aborted

    public static final QHttp.Error Aborted

  The request was aborted with `abort`.

### AuthenticationRequiredError

    public static final QHttp.Error AuthenticationRequiredError

  The web server requires authentication to complete the request.

### ProxyAuthenticationRequiredError

    public static final QHttp.Error ProxyAuthenticationRequiredError

  `QHttp` is using a proxy, and the proxy server requires authentication to establish a connection.

Method Detail

### values

    public static final QHttp.Error[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QHttp.Error c : QHttp.Error.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QHttp.Error valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QHttp.Error resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD